using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using System.Runtime.InteropServices;

namespace Utilitaires
{
    class User32
    {
        [DllImport("psapi.dll")]
        static extern int EmptyWorkingSet(IntPtr hwProc);

        static public void MinimizeFootprint()
        {
            EmptyWorkingSet(Process.GetCurrentProcess().Handle);
            //EmptyWorkingSet(ProcHandle);
        }

        [DllImport("USER32.DLL")]
        private static extern IntPtr GetForegroundWindow();

        [DllImport("user32.dll")]
        private static extern int GetWindowThreadProcessId(IntPtr hWnd, ref int pptt);

        static public string GetForegroundApp()
        {

            Process tmpProc;
            int nThisProcessID = 0;
            try
            {
                GetWindowThreadProcessId(GetForegroundWindow(), ref nThisProcessID);
                tmpProc = Process.GetProcessById(nThisProcessID);
                if (tmpProc != null & tmpProc.Id != 0)
                {
                   
                    return tmpProc.MainModule.ModuleName.ToUpper();
                }
            }
            catch
            {
                Debug.WriteLine("Error GetForegroundApp");
            }
            return null;
        }


    }
}
